# Changelog
A record of the changes made to `ALPS Gutenberg Blocks`.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/), and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [2.1.8]
### Update
- New Blocks used on Adventist.org Homepage (Content-read-more, Content-step, Highlights-blocks, aplit-content).
- Update Media-block.
- NOTE! - Changes From NAD repository.

## [2.1.7]
### Fixed
- Fixed ALPS Blockquote empty citation field (remove previous logic).
- [#87](https://app.zenhub.com/workspaces/alps---core-and-wp-583365a5f9e6361b5cc5f5f6/issues/gh/adventistchurch/alps-gutenberg-blocks/87)

## [2.1.6]
### Fixed
- Fixed ALPS Blockquote empty citation field (add new rule).
- [#87](https://app.zenhub.com/workspaces/alps---core-and-wp-583365a5f9e6361b5cc5f5f6/issues/gh/adventistchurch/alps-gutenberg-blocks/87)

## [2.1.5]
### Fixed
- Fixed ALPS Blockquote color for blockquote.
- Fixed ALPS Blockquote empty citation field.
- [#87](https://app.zenhub.com/workspaces/alps---core-and-wp-583365a5f9e6361b5cc5f5f6/issues/gh/adventistchurch/alps-gutenberg-blocks/87)

## [2.1.4]
### Fixed
- Fixed ALPS Content Show More block Upload Issue. Check media.
- Fixed ALPS Image Breakout block Upload Issue. Check media. 
- [#77](https://github.com/adventistchurch/alps-gutenberg-blocks/issues/77)

## [2.1.3]
### Fixed
- Fixed ALPS CTA block Upload Issue. Check media. [#77](https://github.com/adventistchurch/alps-gutenberg-blocks/issues/77)

## [2.1.2]
### Fixed
- Fixed CTA component for resizing image. [#77](https://github.com/adventistchurch/alps-gutenberg-blocks/issues/77)

## [2.1.1]
### Fixed
- Fixed CTA component in the uploading image part. [#77](https://github.com/adventistchurch/alps-gutenberg-blocks/issues/77)

## [2.1.0]
### Added
- Added support for Korean internationalization.


## [2.0.1]
### Fixed
- Fixed the display of html in descriptions. [#69](https://github.com/adventistchurch/alps-gutenberg-blocks/issues/69)


## [2.0.0]
### Added
- Added: Major rewrite of the plugin to provide a consistency in the code of how the blocks are written and give a consistent user-interface for the edit side. [#64](https://github.com/adventistchurch/alps-gutenberg-blocks/pull/64)


## [1.9.4]
### Fixed
- Fixed: Incorrectly spelled class name on the Testimonies Media block.
- Fixed: Refactored code to make the blocks more consistent. [#52](https://github.com/adventistchurch/alps-gutenberg-blocks/pull/52)


## [1.9.1]
### Fixed
- HOTFIX: Added missing front.js file.


## [1.9.0]
### Added
- Added the Inline Sidebar block that creates a collapsible block inside the page. [#511](https://github.com/adventistchurch/alps-wordpress/issues/511)


## [1.8.1]
### Fixed
- Version increment.


## [1.8.0]
### Added 
- ALPS Media Block adds a new block component that supports an image along with text beside or below. [#523](https://github.com/adventistchurch/alps-wordpress/issues/523)
- Added Spanish localization to the plugin. (es_US)


## [1.7.0]
### Added 
- ALPS Latest Posts limited dropdown of categories and tags in ALPS Gutenberg Blocks [#502](https://github.com/adventistchurch/alps-wordpress/issues/502)


## [1.6.2]
### Added 
- Added Russian localization.
- Fixed bugs with localization process.

### Fixed
- Fixed the `alps.pot` generation files to remove the ` msgctxt "alps" ` lines. [#516](https://github.com/adventistchurch/alps-wordpress/issues/516)


## [1.6.1]
### Fixed
- Fix plugin author name.


## [1.6.0]
### Add
- Rebuild the deployment system. 
- Build the new the i18n system. [#36](https://github.com/adventistchurch/alps-gutenberg-blocks/pull/36)


## [1.5.2]
### Fixed
- Gallery: fix image size select. [#503](https://github.com/adventistchurch/alps-wordpress/issues/503)


## [1.5.1]
### Fixed
- ALPS Latest Posts settings do nothing. [#499](https://github.com/adventistchurch/alps-wordpress/issues/499)
- Changed the size of the title font to make it more consistent with the theme.


## [1.5.0]
### Added
- Add the "Strong" property to the ALPS Blockquote block. [#340](https://github.com/adventistchurch/alps-wordpress/issues/340)
- Add the "See All" link to the "Latest Posts" block. [#324](https://github.com/adventistchurch/alps-wordpress/issues/324)


## [1.4.4]
### Fixed
- Fixed the Image 2up block on singe post and page.


## [1.4.3]
### Fixed
- Fixed version numbering.


## [1.4.2]
### Fixed
- Fixed a bug with the `image-2up` block not spacing right on the Sabbath columns. [#29](https://github.com/adventistchurch/alps-gutenberg-blocks/issues/29)


## [1.4.1]
### Fixed
- Cleanup of the blocks to improve their usage: Interface, copy/paste, and adding limited text styling. [#28](https://github.com/adventistchurch/alps-gutenberg-blocks/pull/28)


## [1.4.0]
### Added
- Added the Media Testimonies Gutenberg Block. [#23](https://github.com/adventistchurch/alps-gutenberg-blocks/issues/23)


## [1.3.8]
### Fixed
- Fixed version numbering.


## [1.3.7]
### Added
- Added a "Open in New Window" option to the CTA block. [#404](https://github.com/adventistchurch/alps-wordpress/issues/404)


## [1.3.6]
### Added
- Added: More html formatting options to the highlight block.


## [1.3.5]
### Fixed
- Fixing the filter by tag options.


## [1.3.4]
### Fixed
- Version number increment.


## [1.3.3]
### Fixed
- Image Sizing on image blocks [#334](https://github.com/adventistchurch/alps-wordpress/issues/334)


## [1.3.2]
### Fixed
- Added the ALPS prefix to all the blocks provided here. [#344](https://github.com/adventistchurch/alps-wordpress/issues/344)


## [1.3.1]
### Fixed
- Version number increment.


## [1.3.0]
### Added
- Added a `Call to Action` block. [#342](https://github.com/adventistchurch/alps-wordpress/issues/342)


## [1.2.0]
### Added
- Added a feature to the `Latest Posts` block that allows you filter posts by `tags`. [#336](https://github.com/adventistchurch/alps-wordpress/issues/336)


## [1.1.3]
### Fixed
- Fixes the 2up Images not going full width on pages without the Sabbath column. [#332](https://github.com/adventistchurch/alps-wordpress/issues/332)


## [1.1.2]
### Fixed
- Fixes the Latest Posts not displaying more the one block on a page. [#323](https://github.com/adventistchurch/alps-wordpress/issues/323)


## [1.1.1]
### Fixed
- Fixes the breakout block on the wrong grid alignment. [#307](https://github.com/adventistchurch/alps-wordpress/issues/307)


##[1.1.0]
### Added
- Adds a Latest Posts block [#285](https://github.com/adventistchurch/alps-wordpress/issues/285)


## [1.0.2]
### Fixed
- Removes the custom paragraph block. [#282](https://github.com/adventistchurch/alps-wordpress/issues/282)
